# Module arduboy_rust::hardware::buttons

source ·
Expand description

A list of all six buttons available on the Arduboy

## Structs

- ButtonSet
  This struct gives the library a understanding what Buttons on the Arduboy are.

## Constants

- A
  Just a `const` for the A button
- ANY_BUTTON
  Just a `const` for the any
- A_BUTTON
  Just a `const` for the A button
- B
  Just a `const` for the B button
- B_BUTTON
  Just a `const` for the B button
- DOWN
  Just a `const` for the DOWN button
- DOWN_BUTTON
  Just a `const` for the DOWN button
- LEFT
  Just a `const` for the LEFT button
- LEFT_BUTTON
  Just a `const` for the LEFT button
- RIGHT
  Just a `const` for the RIGHT button
- RIGHT_BUTTON
  Just a `const` for the RIGHT button
- UP
  Just a `const` for the UP button
- UP_BUTTON
  Just a `const` for the UP button